# Uses of Class
org.eclipse.jface.fieldassist.ControlDecoration

Packages that use ControlDecoration
Package
Description
org.eclipse.jface.databinding.fieldassist
Provides classes that bridge between data binding and the JFace Fieldassist framework.
org.eclipse.ui.internal

## Uses of ControlDecoration in org.eclipse.jface.databinding.fieldassist

Methods in org.eclipse.jface.databinding.fieldassist with parameters of type ControlDecoration
Modifier and Type
Method
Description
`protected void`
ControlDecorationUpdater.`update(ControlDecoration decoration, IStatus status)`
Updates the visibility, image, and description text of the given ControlDecoration to represent the given status.

## Uses of ControlDecoration in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal with parameters of type ControlDecoration
Modifier and Type
Method
Description
`static boolean`
SearchDecoration.`validateRegex(String regex, ControlDecoration targetDecoration)`
Validate the given regular expression and change the control decoration accordingly.